package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.VipGroupActivityTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(vip_group_activity):
 */
public class VipGroupActivity {

	@ApiModelProperty(value = "活动编号")
	private Integer id;

	@ApiModelProperty(value = "活动名称")
	private String name;

	@ApiModelProperty(value = "活动描述\n")
	private String description;

	@ApiModelProperty(value = "课程形式")
	private String vipGroupCategoryIdList;

	@ApiModelProperty(value = "活动开始时间")
	private java.util.Date startTime;

	@ApiModelProperty(value = "活动结束时间")
	private java.util.Date endTime;

	@ApiModelProperty(value = "适用分部")
	private String organId;

	@ApiModelProperty(value = "可排课开始时间")
	private java.util.Date coursesStartTime;

	@ApiModelProperty(value = "可排课截至时间")
	private java.util.Date coursesEndTime;

	@ApiModelProperty(value = "活动类型（基础活动、折扣、赠送课时）")
	private VipGroupActivityTypeEnum type;

	@ApiModelProperty(value = "活动变量1")
	private String attribute1;

	@ApiModelProperty(value = "活动变量2")
	private String attribute2;

	@ApiModelProperty(value = "活动变量3")
	private String attribute3;

	@ApiModelProperty(value = "薪水只读标识（1-只读 0-可写）")
	private String salaryReadonlyFlag;

	@ApiModelProperty(value = "单节课程费用只读标识")
	private String paymentReadonlyFlag;

	@ApiModelProperty(value = "赠送课时支付薪水标识（1-计课酬  0-不计课酬）")
	private String giveClassPaySalaryFlag;

	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@ApiModelProperty(value = "更新时间")
	private java.util.Date updateTime;

	@ApiModelProperty(value = "结算标准")
	private String salarySettlementJson;

	private String vipGroupCategoryNames;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag = false;

	@ApiModelProperty(value = "是否可用")
	private Integer enable;

	@ApiModelProperty(value = "线上课是否参与梯度奖励")
	private Integer onlineClassJoinGradientRewards;

	@ApiModelProperty(value = "线下课是否参与梯度奖励")
	private Integer offlineClassJoinGradientRewards;

	public Integer getOnlineClassJoinGradientRewards() {
		return onlineClassJoinGradientRewards;
	}

	public void setOnlineClassJoinGradientRewards(Integer onlineClassJoinGradientRewards) {
		this.onlineClassJoinGradientRewards = onlineClassJoinGradientRewards;
	}

	public Integer getOfflineClassJoinGradientRewards() {
		return offlineClassJoinGradientRewards;
	}

	public void setOfflineClassJoinGradientRewards(Integer offlineClassJoinGradientRewards) {
		this.offlineClassJoinGradientRewards = offlineClassJoinGradientRewards;
	}

	public String getPaymentReadonlyFlag() {
		return paymentReadonlyFlag;
	}

	public void setPaymentReadonlyFlag(String paymentReadonlyFlag) {
		this.paymentReadonlyFlag = paymentReadonlyFlag;
	}

	public Integer getEnable() {
		return enable;
	}

	public void setEnable(Integer enable) {
		this.enable = enable;
	}

	public String getVipGroupCategoryNames() {
		return vipGroupCategoryNames;
	}

	public void setVipGroupCategoryNames(String vipGroupCategoryNames) {
		this.vipGroupCategoryNames = vipGroupCategoryNames;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setVipGroupCategoryIdList(String vipGroupCategoryIdList){
		this.vipGroupCategoryIdList = vipGroupCategoryIdList;
	}
	
	public String getVipGroupCategoryIdList(){
		return this.vipGroupCategoryIdList;
	}
			
	public void setStartTime(java.util.Date startTime){
		this.startTime = startTime;
	}
	
	public java.util.Date getStartTime(){
		return this.startTime;
	}
			
	public void setEndTime(java.util.Date endTime){
		this.endTime = endTime;
	}
	
	public java.util.Date getEndTime(){
		return this.endTime;
	}
			
	public void setOrganId(String organId){
		this.organId = organId;
	}
	
	public String getOrganId(){
		return this.organId;
	}
			
	public void setCoursesStartTime(java.util.Date coursesStartTime){
		this.coursesStartTime = coursesStartTime;
	}
	
	public java.util.Date getCoursesStartTime(){
		return this.coursesStartTime;
	}
			
	public void setCoursesEndTime(java.util.Date coursesEndTime){
		this.coursesEndTime = coursesEndTime;
	}
	
	public java.util.Date getCoursesEndTime(){
		return this.coursesEndTime;
	}

	public VipGroupActivityTypeEnum getType() {
		return type;
	}

	public void setType(VipGroupActivityTypeEnum type) {
		this.type = type;
	}

	public void setAttribute1(String attribute1){
		this.attribute1 = attribute1;
	}
	
	public String getAttribute1(){
		return this.attribute1;
	}
			
	public void setAttribute2(String attribute2){
		this.attribute2 = attribute2;
	}
	
	public String getAttribute2(){
		return this.attribute2;
	}
			
	public void setAttribute3(String attribute3){
		this.attribute3 = attribute3;
	}
	
	public String getAttribute3(){
		return this.attribute3;
	}
			
	public void setSalaryReadonlyFlag(String salaryReadonlyFlag){
		this.salaryReadonlyFlag = salaryReadonlyFlag;
	}
	
	public String getSalaryReadonlyFlag(){
		return this.salaryReadonlyFlag;
	}
			
	public void setGiveClassPaySalaryFlag(String giveClassPaySalaryFlag){
		this.giveClassPaySalaryFlag = giveClassPaySalaryFlag;
	}
	
	public String getGiveClassPaySalaryFlag(){
		return this.giveClassPaySalaryFlag;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setSalarySettlementJson(String salarySettlementJson){
		this.salarySettlementJson = salarySettlementJson;
	}
	
	public String getSalarySettlementJson(){
		return this.salarySettlementJson;
	}
			
	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
